XMLConstants (Apache Ant API)
Date: 2017-02-02

org.apache.tools.ant.taskdefs.optional.junit

## Interface XMLConstants

- All Known Implementing Classes:
    XMLJUnitResultFormatter, XMLResultAggregator

      public interface XMLConstants

  Interface groups XML constants. Interface that groups all constants used throughout the `XML` documents that are generated by the `XMLJUnitResultFormatter`.

  As of now the DTD is: ``

       <!ELEMENT testsuites (testsuite*)>

       <!ELEMENT testsuite (properties, testcase*,
                          failure?, error?,
                           system-out?, system-err?)>
       <!ATTLIST testsuite name      CDATA #REQUIRED>
       <!ATTLIST testsuite tests     CDATA #REQUIRED>
       <!ATTLIST testsuite failures  CDATA #REQUIRED>
       <!ATTLIST testsuite errors    CDATA #REQUIRED>
       <!ATTLIST testsuite time      CDATA #REQUIRED>
       <!ATTLIST testsuite package   CDATA #IMPLIED>
       <!ATTLIST testsuite id        CDATA #IMPLIED>

       <!ELEMENT properties (property*)>

       <!ELEMENT property EMPTY>
         <!ATTLIST property name  CDATA #REQUIRED>
         <!ATTLIST property value CDATA #REQUIRED>

       <!ELEMENT testcase (failure?, error?)>
         <!ATTLIST testcase name       CDATA #REQUIRED>
         <!ATTLIST testcase classname  CDATA #IMPLIED>
         <!ATTLIST testcase time       CDATA #REQUIRED>

       <!ELEMENT failure (#PCDATA)>
        <!ATTLIST failure message CDATA #IMPLIED>
        <!ATTLIST failure type    CDATA #REQUIRED>

       <!ELEMENT error (#PCDATA)>
         <!ATTLIST error message CDATA #IMPLIED>
         <!ATTLIST error type    CDATA #REQUIRED>

       <!ELEMENT system-err (#PCDATA)>

       <!ELEMENT system-out (#PCDATA)>

  See Also:
    `XMLJUnitResultFormatter`, `XMLResultAggregator`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_CLASSNAME` classname attribute for testcase elements
    `static java.lang.String` | `ATTR_ERRORS` errors attribute for testsuite elements
    `static java.lang.String` | `ATTR_FAILURES` failures attribute for testsuite elements
    `static java.lang.String` | `ATTR_ID` id attribute
    `static java.lang.String` | `ATTR_MESSAGE` message attribute for failure elements
    `static java.lang.String` | `ATTR_NAME` name attribute for property, testcase and testsuite elements
    `static java.lang.String` | `ATTR_PACKAGE` package attribute for the aggregate document
    `static java.lang.String` | `ATTR_SKIPPED`
    `static java.lang.String` | `ATTR_TESTS` tests attribute for testsuite elements
    `static java.lang.String` | `ATTR_TIME` time attribute for testcase and testsuite elements
    `static java.lang.String` | `ATTR_TYPE` type attribute for failure and error elements
    `static java.lang.String` | `ATTR_VALUE` value attribute for property elements
    `static java.lang.String` | `ERROR` the error element
    `static java.lang.String` | `FAILURE` the failure element
    `static java.lang.String` | `HOSTNAME` name of host running the tests
    `static java.lang.String` | `PROPERTIES` the properties element
    `static java.lang.String` | `PROPERTY` the property element
    `static java.lang.String` | `SYSTEM_ERR` the system-err element
    `static java.lang.String` | `SYSTEM_OUT` the system-out element
    `static java.lang.String` | `TESTCASE` the testcase element
    `static java.lang.String` | `TESTSUITE` the testsuite element
    `static java.lang.String` | `TESTSUITES` the testsuites element for the aggregate document
    `static java.lang.String` | `TIMESTAMP` timestamp of test cases

- - ### Field Detail

    - #### TESTSUITES

          static final java.lang.String TESTSUITES

      the testsuites element for the aggregate document
      See Also:
        Constant Field Values

    - #### TESTSUITE

          static final java.lang.String TESTSUITE

      the testsuite element
      See Also:
        Constant Field Values

    - #### TESTCASE

          static final java.lang.String TESTCASE

      the testcase element
      See Also:
        Constant Field Values

    - #### ERROR

          static final java.lang.String ERROR

      the error element
      See Also:
        Constant Field Values

    - #### FAILURE

          static final java.lang.String FAILURE

      the failure element
      See Also:
        Constant Field Values

    - #### SYSTEM_ERR

          static final java.lang.String SYSTEM_ERR

      the system-err element
      See Also:
        Constant Field Values

    - #### SYSTEM_OUT

          static final java.lang.String SYSTEM_OUT

      the system-out element
      See Also:
        Constant Field Values

    - #### ATTR_PACKAGE

          static final java.lang.String ATTR_PACKAGE

      package attribute for the aggregate document
      See Also:
        Constant Field Values

    - #### ATTR_NAME

          static final java.lang.String ATTR_NAME

      name attribute for property, testcase and testsuite elements
      See Also:
        Constant Field Values

    - #### ATTR_TIME

          static final java.lang.String ATTR_TIME

      time attribute for testcase and testsuite elements
      See Also:
        Constant Field Values

    - #### ATTR_ERRORS

          static final java.lang.String ATTR_ERRORS

      errors attribute for testsuite elements
      See Also:
        Constant Field Values

    - #### ATTR_FAILURES

          static final java.lang.String ATTR_FAILURES

      failures attribute for testsuite elements
      See Also:
        Constant Field Values

    - #### ATTR_TESTS

          static final java.lang.String ATTR_TESTS

      tests attribute for testsuite elements
      See Also:
        Constant Field Values

    - #### ATTR_SKIPPED

          static final java.lang.String ATTR_SKIPPED

      See Also:
        Constant Field Values

    - #### ATTR_TYPE

          static final java.lang.String ATTR_TYPE

      type attribute for failure and error elements
      See Also:
        Constant Field Values

    - #### ATTR_MESSAGE

          static final java.lang.String ATTR_MESSAGE

      message attribute for failure elements
      See Also:
        Constant Field Values

    - #### PROPERTIES

          static final java.lang.String PROPERTIES

      the properties element
      See Also:
        Constant Field Values

    - #### PROPERTY

          static final java.lang.String PROPERTY

      the property element
      See Also:
        Constant Field Values

    - #### ATTR_VALUE

          static final java.lang.String ATTR_VALUE

      value attribute for property elements
      See Also:
        Constant Field Values

    - #### ATTR_CLASSNAME

          static final java.lang.String ATTR_CLASSNAME

      classname attribute for testcase elements
      See Also:
        Constant Field Values

    - #### ATTR_ID

          static final java.lang.String ATTR_ID

      id attribute
      See Also:
        Constant Field Values

    - #### TIMESTAMP

          static final java.lang.String TIMESTAMP

      timestamp of test cases
      See Also:
        Constant Field Values

    - #### HOSTNAME

          static final java.lang.String HOSTNAME

      name of host running the tests
      See Also:
        Constant Field Values